<app-loader *ngIf="isLoading"></app-loader>
<mat-dialog-content class="mat-typography" style="width: 800px; height: 800px;">
  <h3>{{ project ? "Edit" : "Create"}} project</h3>
  <mat-form-field>
    <mat-label>Title</mat-label>
    <input [formControl]="projectTitle" matInput required>
    <mat-error *ngIf="projectTitle.invalid">{{ getErrorMessage(projectTitle, 'title') }}</mat-error>
  </mat-form-field>
  <br>
  <mat-form-field>
    <mat-label>Category</mat-label>
    <mat-select [formControl]="projectCategory" required>
      <mat-option *ngFor="let category of categories" [value]="category._id" title="{{ category.description }}">
        {{ category.name}}
      </mat-option>
    </mat-select>
    <mat-error *ngIf="projectCategory.invalid">{{ getErrorMessage(projectDescription, 'description') }}</mat-error>
  </mat-form-field>
  <mat-form-field>
    <mat-label>Description</mat-label>
    <textarea [formControl]="projectDescription" matInput></textarea>
    <mat-error *ngIf="projectDescription.invalid">{{ getErrorMessage(projectDescription, 'description') }}</mat-error>
  </mat-form-field>
  <br>
  <h2>Details</h2>
  <quill-editor [formControl]="projectDetail"
                placeholder="Insert description here ...">
    <div quill-editor-toolbar>
    <span class="ql-formats">
      <button [title]="'Bold'" class="ql-bold"></button>
    </span>
      <span class="ql-formats">
      <select class="ql-align" title="Alignment">
        <option selected></option>
        <option value="center"></option>
        <option value="right"></option>
        <option value="justify"></option>
      </select>
    </span>
      <span class="ql-formats">
          <button [title]="'Color'" class="ql-color"></button>
      </span>
      <span class="ql-formats">
          <button [title]="'Link'" class="ql-link"></button>
      </span>
    </div>
  </quill-editor>
  <br>
  <button (click)="openFilePickerPopUp()" mat-button style="width: 100%" title="Add your business plan here">
    <mat-icon>attach_file</mat-icon>
    Attachments
  </button>
</mat-dialog-content>
<input #filePicker (input)="fileInputChange($event)" hidden type="file">
<mat-dialog-actions align="end">
  <button mat-button mat-dialog-close>Cancel</button>
  <button (click)="handleClickButton()"
          [disabled]="projectTitle.invalid || projectDescription.invalid
          || projectCategory.invalid
          || projectDetail.invalid"
          icdkFocusInitial mat-button>{{project ? "Update" : "Create"}}
  </button>
</mat-dialog-actions>
